Ruby - Bug #6325

Can't install
04/20/2012 04:05 AM - flowshine (Kurt von Laven)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.3p125 (2012-02-16 revision Backport:
34643) [x86_64-linux]

Description

| am trying to install RubyGems 1.8.22 and Rails 3.2.3 on Red Hat 4.4.6-3. | used RVM, and the precise sequence of commands is
attached as well as my ~/.bashrc file.

Evidently my installation didn't work. Here is the output of rails --version.

/usr/lib64/ruby/site_ruby/1.8/rubygems.rb:926:in report_activate_error': Could not find RubyGem rails (>= 0) (Gem::LoadError) from
/usr/lib64/ruby/site_ruby/1.8/rubygems.rb:244:in activate_dep'

from /usr/lib64/ruby/site_ruby/1.8/rubygems.rb:236:in activate' from /usr/lib64/ruby/site_ruby/1.8/rubygems.rb:1307:in gem'

from /usr/bin/rails:18

History

#1 - 04/20/2012 04:06 AM - flowshine (Kurt von Laven)

Whoops, sorry. | meant to make the subject "Can't Install Rails."

#2 - 04/20/2012 04:32 AM - mame (Yusuke Endoh)
- Status changed from Open to Feedback
Hello,

ruby -v: ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-linux]
export GEM_PATH=$GEM_HOME:/usr/lib64/ruby/gems/1.8

Are you using 1.9 interpreter with 1.8 gems?

| guess you'd better ask a question in ruby-talk.
Maybe people will tell you kindly :-)

Yusuke Endoh mame@tsg.ne.jp

#3 - 04/20/2012 05:22 AM - drbrain (Eric Hodel)

"/usr/lib64/ruby/site_ruby/1.8/rubygems.rb" is not a path that RVM would create. | suspect your PATH is not configured properly. Please check which
rails and ensure it matches the directory of your RVM install. You should be able to get help from ruby-talk or from the #rvm channel on
chat.freenode.net.

#4 - 04/21/2012 07:18 AM - flowshine (Kurt von Laven)

Thanks guys. It turns out the fix was to delete every Ruby-related thing | could find on my machine and then reinstall what | wanted using RVM. |
posted it as a bug rather than on the help forum the way it was crashing made me suspect that there might be some deeper problem going on.
Yusuke, | was indeed using the 1.9 interpreter with RubyGems 1.8.

#5 - 06/22/2012 09:37 AM - drbrain (Eric Hodel)
- Status changed from Feedback to Closed

Files

Command Sequence.txt 14.7 KB 04/20/2012 flowshine (Kurt von Laven)
Bashrc.txt 391 Bytes 04/20/2012 flowshine (Kurt von Laven)
